Assistant
Permission-aware conversations and assistant tool endpoints.
/api/assistant/tools/assets/{assetId}/releases/{releaseId}/pack/{itemKey}Path Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X PUT "https://example.com/api/assistant/tools/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/pack/string" \ -H "Content-Type: application/json" \ -d '{}'{ "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa", "journey": { "assignmentId": "dbf5135c-beb7-4185-80db-2e980c77381b", "packAssetId": "449638c7-3499-43cb-847e-47afd8622397", "packReleaseId": "ee651da1-4026-4306-b950-f0e9f8ee9e0b", "releaseDigest": "string", "title": "string", "versionLabel": "string", "purpose": "ROLE_ONBOARDING", "audience": "string", "expectedOutcome": "string", "status": "IN_PROGRESS", "accessGap": true, "completedAccessibleItems": 0, "items": [ { "key": "string", "required": true, "order": 0, "kind": "string", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "pinnedVersionId": "8e41a9d4-0381-4764-a672-b3599e061c5d", "title": "string", "versionLabel": "string", "availability": "AVAILABLE", "completed": true, "completedAt": "2019-08-24T14:15:22Z" } ], "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }}/api/assistant/tools/knowledge-searchRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assistant/tools/knowledge-search" \ -H "Content-Type: application/json" \ -d '{}'{ "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa", "requestId": "string", "citations": [ { "chunkId": "90e1f3df-a8a1-438e-8dd5-10e45398d051", "knowledgeAssetId": "0e21085d-79c9-44f9-b229-2554c2bd0165", "sourceRevisionId": "307572f1-3846-4c73-a8d9-3b07cde2b356", "title": "string", "startPage": 0, "endPage": 0, "heading": "string" } ]}/api/assistant/tools/assets/{assetId}/releases/{releaseId}/prompt-runPath Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assistant/tools/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/prompt-run" \ -H "Content-Type: application/json" \ -d '{}'{ "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa", "result": { "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "releaseDigest": "string", "modelRoute": { "gatewayId": "string", "modelId": "string" }, "output": "string", "citations": [ { "chunkId": "90e1f3df-a8a1-438e-8dd5-10e45398d051", "knowledgeAssetId": "0e21085d-79c9-44f9-b229-2554c2bd0165", "sourceRevisionId": "307572f1-3846-4c73-a8d9-3b07cde2b356", "title": "string", "startPage": 0, "endPage": 0, "heading": "string" } ], "durationMillis": 0 }}/api/assistant/tools/assets/{assetId}/releases/{releaseId}/prompt-renderPath Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assistant/tools/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/prompt-render" \ -H "Content-Type: application/json" \ -d '{}'{ "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa", "result": { "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "releaseDigest": "string", "systemInstruction": "string", "userPrompt": "string", "sensitiveVariables": [ "string" ], "inputShapeDigest": "string" }}/api/assistant/tools/assets/{assetId}/releases/{releaseId}/packPath Parameters
uuiduuidResponse Body
*/*
curl -X GET "https://example.com/api/assistant/tools/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/pack"{ "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa", "journey": { "assignmentId": "dbf5135c-beb7-4185-80db-2e980c77381b", "packAssetId": "449638c7-3499-43cb-847e-47afd8622397", "packReleaseId": "ee651da1-4026-4306-b950-f0e9f8ee9e0b", "releaseDigest": "string", "title": "string", "versionLabel": "string", "purpose": "ROLE_ONBOARDING", "audience": "string", "expectedOutcome": "string", "status": "IN_PROGRESS", "accessGap": true, "completedAccessibleItems": 0, "items": [ { "key": "string", "required": true, "order": 0, "kind": "string", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "pinnedVersionId": "8e41a9d4-0381-4764-a672-b3599e061c5d", "title": "string", "versionLabel": "string", "availability": "AVAILABLE", "completed": true, "completedAt": "2019-08-24T14:15:22Z" } ], "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }}/api/assistant/tools/assets/{assetId}/releases/{releaseId}/packPath Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assistant/tools/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/pack" \ -H "Content-Type: application/json" \ -d '{}'{ "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa", "journey": { "assignmentId": "dbf5135c-beb7-4185-80db-2e980c77381b", "packAssetId": "449638c7-3499-43cb-847e-47afd8622397", "packReleaseId": "ee651da1-4026-4306-b950-f0e9f8ee9e0b", "releaseDigest": "string", "title": "string", "versionLabel": "string", "purpose": "ROLE_ONBOARDING", "audience": "string", "expectedOutcome": "string", "status": "IN_PROGRESS", "accessGap": true, "completedAccessibleItems": 0, "items": [ { "key": "string", "required": true, "order": 0, "kind": "string", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "pinnedVersionId": "8e41a9d4-0381-4764-a672-b3599e061c5d", "title": "string", "versionLabel": "string", "availability": "AVAILABLE", "completed": true, "completedAt": "2019-08-24T14:15:22Z" } ], "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }}/api/assistant/tools/assets/{assetId}/releases/{releaseId}/forkPath Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assistant/tools/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/fork" \ -H "Content-Type: application/json" \ -d '{}'{ "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa", "asset": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "authorizationReady": true, "draft": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lockVersion": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "editedByUserId": "17755b76-ae3f-4e03-85ba-4d4f1e436183", "updatedAt": "2019-08-24T14:15:22Z" }, "revisions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "changeNote": "string", "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdAt": "2019-08-24T14:15:22Z" } ], "reviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "revisionDigest": "string", "state": "IN_REVIEW", "policyVersion": "string", "requestedByUserId": "9c590f64-b028-49cf-9478-8c687bdb54d0", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "decisions": [ { "reviewerUserId": "75d4a5e8-58d7-410c-98d1-4f6ee34c3a33", "decision": "REQUEST_CHANGES", "comment": "string", "decidedAt": "2019-08-24T14:15:22Z" } ] } ], "releases": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "sequence": 0, "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "releasedByUserId": "15d5019e-db9b-4651-ba99-7050fd00d625", "releasedAt": "2019-08-24T14:15:22Z", "availability": "AVAILABLE", "availabilityHistory": [ { "availability": "AVAILABLE", "reason": "string", "changedByUserId": "362d38dc-25bb-4384-bc34-bb679fb2cded", "effectiveAt": "2019-08-24T14:15:22Z" } ] } ], "ownershipHealth": { "ownerPresent": true, "backupOwnerPresent": true, "orphaned": true, "continuityAtRisk": true }, "roleAssignments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "principalType": "string", "principalId": "string", "role": "OWNER", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "assignedByUserId": "419b0b8f-f979-45e3-a620-8c3741dea2ef", "projectedAt": "2019-08-24T14:15:22Z" } ] }}/api/assistant/tools/assets/{assetId}/releases/{releaseId}/feedbackPath Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assistant/tools/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/feedback" \ -H "Content-Type: application/json" \ -d '{}'{ "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa", "feedbackId": "8a5fb68c-aae2-438d-9a46-b4d8c8788e0b"}/api/assistant/chatRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
text/event-stream
curl -X POST "https://example.com/api/assistant/chat" \ -H "Content-Type: application/json" \ -d '{ "message": "string" }'[ null]/api/assistant/conversations/{conversationId}Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH "https://example.com/api/assistant/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }'/api/assistant/conversations/{conversationId}Path Parameters
uuidResponse Body
curl -X DELETE "https://example.com/api/assistant/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08"/api/assistant/tools/assets/{assetId}/releases/{releaseId}/work-instructionPath Parameters
uuiduuidResponse Body
*/*
curl -X GET "https://example.com/api/assistant/tools/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/work-instruction"{ "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa", "instruction": { "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "releaseDigest": "string", "title": "string", "versionLabel": "string", "instruction": { "purpose": "string", "audience": "string", "prerequisites": [ "string" ], "completionOutcome": "string", "responsibleRole": "string", "steps": [ { "key": "string", "title": "string", "instruction": "string", "expectedResult": "string", "check": "string", "escalation": "string", "prohibitedActions": [ "string" ], "relatedAssetIds": [ "f492136e-bfe6-4e5a-8ac3-63b18ba580a2" ], "relatedKnowledgeVersionIds": [ "a4a15029-eab2-4fec-b4e9-b9b0b61b9ef2" ] } ] }, "acknowledged": true, "acknowledgedAt": "2019-08-24T14:15:22Z" }}/api/assistant/tools/assets/{assetId}/releases/{releaseId}/prompt-formPath Parameters
uuiduuidResponse Body
*/*
curl -X GET "https://example.com/api/assistant/tools/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/prompt-form"{ "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa", "release": { "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "releaseDigest": "string" }, "objective": "string", "audience": "string", "variables": [ { "name": "string", "type": "STRING", "required": true, "defaultValue": null, "sensitive": true, "pattern": "string", "allowedValues": [ "string" ] } ], "outputContract": { "property1": null, "property2": null }, "knowledgeRequirements": [ "string" ], "knownLimitations": "string"}/api/assistant/tools/asset-recommendationsQuery Parameters
Value in
- "PROMPT_TEMPLATE"
- "WORK_INSTRUCTION"
- "CAPABILITY_PACK"
- "SKILL"
Response Body
*/*
curl -X GET "https://example.com/api/assistant/tools/asset-recommendations"{ "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa", "recommendations": [ { "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "title": "string", "summary": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "versionLabel": "string", "releaseDigest": "string", "availability": "AVAILABLE", "releasedAt": "2019-08-24T14:15:22Z" } ]}curl -X GET "https://example.com/api/assistant/conversations"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "lastActivityAt": "2019-08-24T14:15:22Z", "messageCount": 0 }]/api/assistant/conversations/{conversationId}/messagesPath Parameters
uuidResponse Body
*/*
curl -X GET "https://example.com/api/assistant/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "role": "USER", "content": "string", "sequence": 0, "occurredAt": "2019-08-24T14:15:22Z" }]Last updated on